Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal.tandem6530
Class IBM3270FieldAttributes

    java.lang.Object
      com.mindbright.terminal.tandem6530.FieldAttributes
          com.mindbright.terminal.tandem6530.IBM3270FieldAttributes

public class IBM3270FieldAttributes
extends FieldAttributes

Field Summary
`static int` | `DEFAULT_BG_COLOR`
`static int` | `DEFAULT_FG_COLOR`

Fields inherited from class com.mindbright.terminal.tandem6530.FieldAttributes
`DEFAULT_DATA_ATTRIB, DEFAULT_EXT_DATA_ATTRIB, DEFAULT_VIDEO`

Constructor Summary
`IBM3270FieldAttributes(char video, char data, char extData)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getBgColor()`
`int` | `getFgColor()`
`int` | `hashCode()`
`void` | `setBgColor(int color)`
`void` | `setFgColor(int color)`
`java.lang.String` | `toString()`

Methods inherited from class com.mindbright.terminal.tandem6530.FieldAttributes
`getAid, getAutoTab, getDataType, getKeyboard, getMdt, getProtect, getUpShift, getVideoAttrib, setAttribs, setAutoTab, setDataType, setMdt, setProtect, setUpShift, setVideoAttrib`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_FG_COLOR

    public static final int DEFAULT_FG_COLOR

See Also:
  Constant Field Values

### DEFAULT_BG_COLOR

    public static final int DEFAULT_BG_COLOR

See Also:
  Constant Field Values

Constructor Detail

### IBM3270FieldAttributes

    public IBM3270FieldAttributes(char video,
                                  char data,
                                  char extData)
                           throws ParseException

Method Detail

### getFgColor

    public int getFgColor()

### setFgColor

    public void setFgColor(int color)
                    throws BadColorException

  Throws:
    `BadColorException`

### getBgColor

    public int getBgColor()

### setBgColor

    public void setBgColor(int color)
                    throws BadColorException

  Throws:
    `BadColorException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FieldAttributes`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `FieldAttributes`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `FieldAttributes`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD